

:strlen
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____$i32,%eax %0x0
	mov____%eax,0x8(%ebp) !0x-4
	jmp32  %_strlen_3_continue
:_strlen_3_loop
	mov____0x8(%ebp),%eax !0x-4
	mov____%ebp,%ebx
	add____$i8,%ebx !0x-4
	add____$i8,(%ebx) !0x1
	test___%eax,%eax
:_strlen_3_continue
	mov____0x8(%ebp),%eax !0x-4
	mov____0x8(%ebp),%ebx !0x8
	add____%ebx,%eax
	movzbl_(%eax),%eax
	movsbl_%al,%eax
					# jmp test LABEL
	test___%eax,%eax
	test___%al,%al
	je32   %_strlen_3_break
	jmp32  %_strlen_3_loop
:_strlen_3_break
	mov____0x8(%ebp),%eax !0x-4
	leave
	ret


:eputs
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %strlen
	add____$i8,%esp !0x4
	mov____%eax,0x8(%ebp) !0x-4
	mov____0x8(%ebp),%ebx !0x-4
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	mov____$i32,%ebx %0x2
	push___%ebx
	call32 %write
	add____$i8,%esp !0xc
	test___%eax,%eax
	mov____$i32,%eax %0x0
	leave
	ret


:oputs
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %strlen
	add____$i8,%esp !0x4
	mov____%eax,0x8(%ebp) !0x-4
	mov____0x8(%ebp),%ebx !0x-4
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	mov____$i32,%ebx %0x1
	push___%ebx
	call32 %write
	add____$i8,%esp !0xc
	test___%eax,%eax
	mov____$i32,%eax %0x0
	leave
	ret


:puts
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %oputs
	add____$i8,%esp !0x4
	test___%eax,%eax
	push___$i32 &_string_lib/x86-mes/libc.S_0
	call32 %oputs
	add____$i8,%esp !0x4
	leave
	ret


:_exit
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____$i32,%eax SYS_exit
	mov____0x8(%ebp),%ebx !8
	int____$0x80
	leave
	ret


:_write
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____$i32,%eax SYS_write
	mov____0x8(%ebp),%ebx !8
	mov____0x8(%ebp),%ecx !12
	mov____0x8(%ebp),%edx !16
	int____$0x80
	leave
	ret


:write
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%ebx !0x10
	push___%ebx
	mov____0x8(%ebp),%ebx !0xc
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %_write
	add____$i8,%esp !0xc
	mov____%eax,0x8(%ebp) !0x-4
	mov____0x8(%ebp),%eax !0x-4
	mov____$i32,%ebx %0x0
	sub____%ebx,%eax
	setl___%al
	movzbl_%al,%eax
	test___%eax,%eax
					# jmp test LABEL
	je32   %_write_9_else
	mov____0x8(%ebp),%eax !0x-4
	mov____$i32,%ebx %0x0
	xchg___%eax,%ebx
	sub____%ebx,%eax
	mov____%eax,0x32 &errno
	test___%eax,%eax
	mov____$i32,%eax %0x-1
	mov____%eax,0x8(%ebp) !0x-4
	test___%eax,%eax
	jmp32  %_write_9_break
:_write_9_else
	mov____$i32,%eax %0x0
	mov____%eax,0x32 &errno
	test___%eax,%eax
:_write_9_break
	mov____0x8(%ebp),%eax !0x-4
	leave
	ret


:exit
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x32,%eax &__call_at_exit
					# jmp test LABEL
	test___%eax,%eax
	je32   %_exit_1_break
	mov____0x32,%eax &__call_at_exit
	call___*%eax
	add____$i8,%esp !0x0
	test___%eax,%eax
	jmp32  %_exit_1_break
:_exit_1_break
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %_exit
	add____$i8,%esp !0x4
	test___%eax,%eax
	leave
	ret


:isdigit
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%eax !0x8
	mov____$i32,%ebx %0x30
	sub____%ebx,%eax
	setge__%al
	movzbl_%al,%eax
	test___%eax,%eax
	test___%eax,%eax
	je32   %_isdigit_6_and_skip_b
	test___%eax,%eax
	mov____0x8(%ebp),%eax !0x8
	mov____$i32,%ebx %0x39
	sub____%ebx,%eax
	setle__%al
	movzbl_%al,%eax
	test___%eax,%eax
	test___%eax,%eax
:_isdigit_6_and_skip_b
	leave
	ret


:isxdigit
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %isdigit
	add____$i8,%esp !0x4
	test___%eax,%eax
	jne32  %_isxdigit_4_or_skip_b
	test___%eax,%eax
	mov____0x8(%ebp),%eax !0x8
	mov____$i32,%ebx %0x61
	sub____%ebx,%eax
	setge__%al
	movzbl_%al,%eax
	test___%eax,%eax
	test___%eax,%eax
	je32   %_isxdigit_12_and_skip_b
	test___%eax,%eax
	mov____0x8(%ebp),%eax !0x8
	mov____$i32,%ebx %0x66
	sub____%ebx,%eax
	setle__%al
	movzbl_%al,%eax
	test___%eax,%eax
	test___%eax,%eax
:_isxdigit_12_and_skip_b
	test___%eax,%eax
:_isxdigit_4_or_skip_b
	leave
	ret


:isspace
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%eax !0x8
	mov____$i32,%ebx %0x9
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
	test___%eax,%eax
	jne32  %_isspace_5_or_skip_b
	test___%eax,%eax
	mov____0x8(%ebp),%eax !0x8
	mov____$i32,%ebx %0xa
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
	test___%eax,%eax
:_isspace_5_or_skip_b
	test___%eax,%eax
	jne32  %_isspace_14_or_skip_b
	test___%eax,%eax
	mov____0x8(%ebp),%eax !0x8
	mov____$i32,%ebx %0xb
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
	test___%eax,%eax
:_isspace_14_or_skip_b
	test___%eax,%eax
	jne32  %_isspace_23_or_skip_b
	test___%eax,%eax
	mov____0x8(%ebp),%eax !0x8
	mov____$i32,%ebx %0xc
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
	test___%eax,%eax
:_isspace_23_or_skip_b
	test___%eax,%eax
	jne32  %_isspace_32_or_skip_b
	test___%eax,%eax
	mov____0x8(%ebp),%eax !0x8
	mov____$i32,%ebx %0xd
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
	test___%eax,%eax
:_isspace_32_or_skip_b
	test___%eax,%eax
	jne32  %_isspace_41_or_skip_b
	test___%eax,%eax
	mov____0x8(%ebp),%eax !0x8
	mov____$i32,%ebx %0x20
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
	test___%eax,%eax
:_isspace_41_or_skip_b
	leave
	ret


:isnumber
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%eax !0xc
	mov____$i32,%ebx %0x2
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %_isnumber_1_break
	mov____0x8(%ebp),%eax !0x8
	mov____$i32,%ebx %0x30
	sub____%ebx,%eax
	setge__%al
	movzbl_%al,%eax
	test___%eax,%eax
	test___%eax,%eax
	je32   %_isnumber_12_and_skip_b
	test___%eax,%eax
	mov____0x8(%ebp),%eax !0x8
	mov____$i32,%ebx %0x31
	sub____%ebx,%eax
	setle__%al
	movzbl_%al,%eax
	test___%eax,%eax
	test___%eax,%eax
:_isnumber_12_and_skip_b
	leave
	ret
	jmp32  %_isnumber_1_break
:_isnumber_1_break
	mov____0x8(%ebp),%eax !0xc
	mov____$i32,%ebx %0x8
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %_isnumber_25_break
	mov____0x8(%ebp),%eax !0x8
	mov____$i32,%ebx %0x30
	sub____%ebx,%eax
	setge__%al
	movzbl_%al,%eax
	test___%eax,%eax
	test___%eax,%eax
	je32   %_isnumber_36_and_skip_b
	test___%eax,%eax
	mov____0x8(%ebp),%eax !0x8
	mov____$i32,%ebx %0x37
	sub____%ebx,%eax
	setle__%al
	movzbl_%al,%eax
	test___%eax,%eax
	test___%eax,%eax
:_isnumber_36_and_skip_b
	leave
	ret
	jmp32  %_isnumber_25_break
:_isnumber_25_break
	mov____0x8(%ebp),%eax !0xc
	mov____$i32,%ebx %0xa
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %_isnumber_49_break
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %isdigit
	add____$i8,%esp !0x4
	leave
	ret
	jmp32  %_isnumber_49_break
:_isnumber_49_break
	mov____0x8(%ebp),%eax !0xc
	mov____$i32,%ebx %0x10
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %_isnumber_61_break
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %isxdigit
	add____$i8,%esp !0x4
	leave
	ret
	jmp32  %_isnumber_61_break
:_isnumber_61_break
	leave
	ret


:abtol
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%eax !0x8
	mov____(%eax),%eax
	mov____%eax,0x8(%ebp) !0x-4
	mov____$i32,%eax %0x0
	mov____%eax,0x8(%ebp) !0x-8
	mov____$i32,%eax %0x1
	mov____%eax,0x8(%ebp) !0x-c
	mov____0x8(%ebp),%eax !0xc
	test___%eax,%eax
	sete___%al
	movzbl_%al,%eax
	test___%eax,%eax
					# jmp test LABEL
	je32   %_abtol_8_break
	mov____$i32,%eax %0xa
	mov____%eax,0x8(%ebp) !0xc
	test___%eax,%eax
	jmp32  %_abtol_8_break
:_abtol_8_break
	mov____0x8(%ebp),%eax !0x-4
	movzbl_(%eax),%eax
	movsbl_%al,%eax
					# jmp test LABEL
	test___%eax,%eax
	test___%al,%al
	je32   %_abtol_19_break
	mov____0x8(%ebp),%eax !0x-4
	movzbl_(%eax),%eax
	movsbl_%al,%eax
	mov____$i32,%ebx %0x2d
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %_abtol_19_break
	mov____$i32,%eax %0x-1
	mov____%eax,0x8(%ebp) !0x-c
	test___%eax,%eax
	mov____0x8(%ebp),%eax !0x-4
	mov____%ebp,%ebx
	add____$i8,%ebx !0x-4
	add____$i8,(%ebx) !0x1
	test___%eax,%eax
	jmp32  %_abtol_19_break
:_abtol_19_break
	jmp32  %_abtol_42_continue
:_abtol_42_loop
	mov____0x8(%ebp),%eax !0xc
	mov____0x8(%ebp),%ebx !0x-8
	xchg___%eax,%ebx
	mul____%ebx
	mov____%eax,0x8(%ebp) !0x-8
	test___%eax,%eax
	mov____0x8(%ebp),%eax !0x-4
	movzbl_(%eax),%eax
	movsbl_%al,%eax
	mov____$i32,%ebx %0x39
	sub____%ebx,%eax
	setg___%al
	movzbl_%al,%eax
	test___%eax,%eax
					# jmp test LABEL
	je32   %_abtol_50_else
	mov____$i32,%eax %0x61
	add____$i8,%eax !0x-a
	jmp32  %_abtol_50_break
:_abtol_50_else
	mov____$i32,%eax %0x30
:_abtol_50_break
	mov____%eax,0x8(%ebp) !0x-10
	mov____0x8(%ebp),%eax !0x-4
	movzbl_(%eax),%eax
	movsbl_%al,%eax
	mov____0x8(%ebp),%ebx !0x-10
	sub____%ebx,%eax
	mov____0x8(%ebp),%ebx !0x-8
	xchg___%eax,%ebx
	add____%ebx,%eax
	mov____%eax,0x8(%ebp) !0x-8
	test___%eax,%eax
	mov____0x8(%ebp),%eax !0x-4
	mov____%ebp,%ebx
	add____$i8,%ebx !0x-4
	add____$i8,(%ebx) !0x1
	test___%eax,%eax
:_abtol_42_continue
	mov____0x8(%ebp),%ebx !0xc
	push___%ebx
	mov____0x8(%ebp),%ebx !0x-4
	movzbl_(%ebx),%ebx
	movsbl_%bl,%ebx
	push___%ebx
	call32 %isnumber
	add____$i8,%esp !0x8
					# jmp test LABEL
	test___%eax,%eax
	je32   %_abtol_42_break
	jmp32  %_abtol_42_loop
:_abtol_42_break
	mov____0x8(%ebp),%eax !0x-4
	mov____0x8(%ebp),%ebx !0x8
	mov____%eax,(%ebx)
	test___%eax,%eax
	mov____0x8(%ebp),%eax !0x-8
	mov____0x8(%ebp),%ebx !0x-c
	mul____%ebx
	leave
	ret


:atoi
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%eax !0x8
	mov____%eax,0x8(%ebp) !0x-4
	mov____$i32,%ebx %0x0
	push___%ebx
	mov____%ebp,%ebx
	add____$i8,%ebx !0x-4
	push___%ebx
	call32 %abtol
	add____$i8,%esp !0x8
	leave
	ret


:ntoab
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____$i32,%eax &ntoab-itoa_buf
	add____$i8,%eax !0xb
	mov____%eax,0x8(%ebp) !0x-4
	mov____$i32,%eax %0x0
	mov____0x8(%ebp),%ebx !0x-4
	mov____%al,(%ebx)
	add____$i8,0x8(%ebp) !0x-4 !0x-1
	test___%eax,%eax
	mov____$i32,%eax %0x0
	mov____%eax,0x8(%ebp) !0x-8
	mov____0x8(%ebp),%eax !0x8
	mov____%eax,0x8(%ebp) !0x-c
	mov____0x8(%ebp),%eax !0x10
					# jmp test LABEL
	test___%eax,%eax
	je32   %_ntoab_13_break
	mov____0x8(%ebp),%eax !0x8
	mov____$i32,%ebx %0x0
	sub____%ebx,%eax
	setl___%al
	movzbl_%al,%eax
	test___%eax,%eax
					# jmp test LABEL
	je32   %_ntoab_13_break
	mov____$i32,%eax %0x1
	mov____%eax,0x8(%ebp) !0x-8
	test___%eax,%eax
	mov____0x8(%ebp),%eax !0x8
	mov____$i32,%ebx %0x0
	xchg___%eax,%ebx
	sub____%ebx,%eax
	mov____%eax,0x8(%ebp) !0x-c
	test___%eax,%eax
	jmp32  %_ntoab_13_break
:_ntoab_13_break
:_ntoab_35_loop
	mov____0x8(%ebp),%eax !0x-c
	mov____0x8(%ebp),%ebx !0xc
	xor____%edx,%edx
	div___%ebx
	mov____%edx,%eax
	mov____%eax,0x8(%ebp) !0x-10
	mov____0x8(%ebp),%eax !0x-10
	mov____$i32,%ebx %0x9
	sub____%ebx,%eax
	setg___%al
	movzbl_%al,%eax
	test___%eax,%eax
					# jmp test LABEL
	je32   %_ntoab_40_else
	mov____$i32,%eax %0x61
	mov____0x8(%ebp),%ebx !0x-10
	add____%ebx,%eax
	add____$i8,%eax !0x-a
	jmp32  %_ntoab_40_break
:_ntoab_40_else
	mov____$i32,%eax %0x30
	mov____0x8(%ebp),%ebx !0x-10
	add____%ebx,%eax
:_ntoab_40_break
	mov____0x8(%ebp),%ebx !0x-4
	mov____%al,(%ebx)
	add____$i8,0x8(%ebp) !0x-4 !0x-1
	test___%eax,%eax
	mov____0x8(%ebp),%eax !0x-c
	mov____0x8(%ebp),%ebx !0xc
	xor____%edx,%edx
	div___%ebx
	mov____%eax,0x8(%ebp) !0x-c
	test___%eax,%eax
:_ntoab_35_continue
	mov____0x8(%ebp),%eax !0x-c
					# jmp test LABEL
	test___%eax,%eax
	je32   %_ntoab_35_break
	jmp32  %_ntoab_35_loop
:_ntoab_35_break
	mov____0x8(%ebp),%eax !0x-8
					# jmp test LABEL
	test___%eax,%eax
	je32   %_ntoab_73_break
	mov____0x8(%ebp),%eax !0x-4
	add____$i8,%eax !0x1
	movzbl_(%eax),%eax
	movsbl_%al,%eax
	mov____$i32,%ebx %0x30
	sub____%ebx,%eax
	test___%eax,%eax
	lahf
	xor____$i8,%ah !0x40
	sahf
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %_ntoab_73_break
	mov____$i32,%eax %0x2d
	mov____0x8(%ebp),%ebx !0x-4
	mov____%al,(%ebx)
	add____$i8,0x8(%ebp) !0x-4 !0x-1
	test___%eax,%eax
	jmp32  %_ntoab_73_break
:_ntoab_73_break
	mov____0x8(%ebp),%eax !0x-4
	add____$i8,%eax !0x1
	leave
	ret


:ltoab
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____$i32,%ebx %0x1
	push___%ebx
	mov____0x8(%ebp),%ebx !0xc
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %ntoab
	add____$i8,%esp !0xc
	leave
	ret


:itoa
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____$i32,%ebx %0x1
	push___%ebx
	mov____$i32,%ebx %0xa
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %ntoab
	add____$i8,%esp !0xc
	leave
	ret


:ltoa
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____$i32,%ebx %0x1
	push___%ebx
	mov____$i32,%ebx %0xa
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %ntoab
	add____$i8,%esp !0xc
	leave
	ret


:ultoa
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____$i32,%ebx %0x1
	push___%ebx
	mov____$i32,%ebx %0xa
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %ntoab
	add____$i8,%esp !0xc
	leave
	ret


:utoa
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____$i32,%ebx %0x0
	push___%ebx
	mov____$i32,%ebx %0xa
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %ntoab
	add____$i8,%esp !0xc
	leave
	ret


:fdgetc
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x32,%eax &_ungetc_pos
	mov____$i32,%ebx %0x-1
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %_fdgetc_1_else
	mov____$i32,%ebx %0x1
	push___%ebx
	mov____%ebp,%ebx
	add____$i8,%ebx !0x-4
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %read
	add____$i8,%esp !0xc
	mov____%eax,0x8(%ebp) !0x-c
	mov____0x8(%ebp),%eax !0x-c
	mov____$i32,%ebx %0x1
	sub____%ebx,%eax
	setl___%al
	movzbl_%al,%eax
	test___%eax,%eax
					# jmp test LABEL
	je32   %_fdgetc_15_break
	mov____$i32,%eax %0x-1
	leave
	ret
	jmp32  %_fdgetc_15_break
:_fdgetc_15_break
	mov____0x8(%ebp),%eax !0x-4
	movsbl_%al,%eax
	mov____%eax,0x8(%ebp) !0x-8
	test___%eax,%eax
	jmp32  %_fdgetc_1_break
:_fdgetc_1_else
	mov____0x32,%eax &_ungetc_pos
	mov____$i32,%ebx &_ungetc_buf
	add____%ebx,%eax
	movzbl_(%eax),%eax
	movsbl_%al,%eax
	mov____%eax,0x8(%ebp) !0x-8
	test___%eax,%eax
	mov____0x32,%eax &_ungetc_fd
	mov____0x8(%ebp),%ebx !0x8
	sub____%ebx,%eax
	test___%eax,%eax
	lahf
	xor____$i8,%ah !0x40
	sahf
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %_fdgetc_39_else
	mov____0x8(%ebp),%eax !0x-8
	mov____$i32,%ebx %0xa
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %_fdgetc_39_else
	mov____$i32,%eax %0x-1
	mov____%eax,0x32 &_ungetc_pos
	test___%eax,%eax
	mov____$i32,%eax %0x-1
	mov____%eax,0x32 &_ungetc_fd
	test___%eax,%eax
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %fdgetc
	add____$i8,%esp !0x4
	leave
	ret
	jmp32  %_fdgetc_39_break
:_fdgetc_39_else
	mov____0x32,%eax &_ungetc_fd
	mov____0x8(%ebp),%ebx !0x8
	sub____%ebx,%eax
	test___%eax,%eax
	lahf
	xor____$i8,%ah !0x40
	sahf
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %_fdgetc_65_break
	push___$i32 &_string_lib/x86-mes/libc.S_1
	call32 %eputs
	add____$i8,%esp !0x4
	test___%eax,%eax
	push___%eax
	push___%eax
	mov____%ebx,%eax
	mov____0x32,%ebx &_ungetc_fd
	push___%ebx
	mov____%eax,%ebx
	pop____%eax
	xchg___%eax,(%esp)
	call32 %itoa
	add____$i8,%esp !0x4
	mov____%eax,%ebx
	pop____%eax
	push___%ebx
	call32 %eputs
	add____$i8,%esp !0x4
	test___%eax,%eax
	push___$i32 &_string_lib/x86-mes/libc.S_2
	call32 %eputs
	add____$i8,%esp !0x4
	test___%eax,%eax
	push___%eax
	push___%eax
	mov____%ebx,%eax
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	mov____%eax,%ebx
	pop____%eax
	xchg___%eax,(%esp)
	call32 %itoa
	add____$i8,%esp !0x4
	mov____%eax,%ebx
	pop____%eax
	push___%ebx
	call32 %eputs
	add____$i8,%esp !0x4
	test___%eax,%eax
	push___$i32 &_string_lib/x86-mes/libc.S_3
	call32 %eputs
	add____$i8,%esp !0x4
	test___%eax,%eax
	push___%eax
	push___%eax
	mov____%ebx,%eax
	mov____0x32,%ebx &_ungetc_pos
	push___%eax
	mov____%ebx,%eax
	mov____$i32,%ebx &_ungetc_buf
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	movzbl_(%ebx),%ebx
	movsbl_%bl,%ebx
	push___%ebx
	mov____%eax,%ebx
	pop____%eax
	xchg___%eax,(%esp)
	call32 %itoa
	add____$i8,%esp !0x4
	mov____%eax,%ebx
	pop____%eax
	push___%ebx
	call32 %eputs
	add____$i8,%esp !0x4
	test___%eax,%eax
	push___$i32 &_string_lib/x86-mes/libc.S_0
	call32 %eputs
	add____$i8,%esp !0x4
	test___%eax,%eax
	mov____$i32,%ebx %0x1
	push___%ebx
	call32 %exit
	add____$i8,%esp !0x4
	test___%eax,%eax
	jmp32  %_fdgetc_65_break
:_fdgetc_65_break
:_fdgetc_39_break
	mov____0x32,%eax &_ungetc_pos
	mov____$i32,%ebx &_ungetc_buf
	add____%ebx,%eax
	movzbl_(%eax),%eax
	movsbl_%al,%eax
	mov____%eax,0x8(%ebp) !0x-8
	test___%eax,%eax
	mov____$i32,%eax %0x1
	mov____0x32,%ebx &_ungetc_pos
	xchg___%eax,%ebx
	sub____%ebx,%eax
	mov____%eax,0x32 &_ungetc_pos
	test___%eax,%eax
	mov____0x32,%eax &_ungetc_pos
	mov____$i32,%ebx %0x-1
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %_fdgetc_147_break
	mov____$i32,%eax %0x-1
	mov____%eax,0x32 &_ungetc_fd
	test___%eax,%eax
	jmp32  %_fdgetc_147_break
:_fdgetc_147_break
:_fdgetc_1_break
	mov____0x8(%ebp),%eax !0x-8
	mov____$i32,%ebx %0x0
	sub____%ebx,%eax
	setl___%al
	movzbl_%al,%eax
	test___%eax,%eax
					# jmp test LABEL
	je32   %_fdgetc_159_break
	mov____$i32,%eax %0x100
	mov____0x8(%ebp),%ebx !0x-8
	xchg___%eax,%ebx
	add____%ebx,%eax
	mov____%eax,0x8(%ebp) !0x-8
	test___%eax,%eax
	jmp32  %_fdgetc_159_break
:_fdgetc_159_break
	mov____0x8(%ebp),%eax !0x-8
	leave
	ret


:fdputc
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____$i32,%ebx %0x1
	push___%ebx
	mov____%ebp,%ebx
	add____$i8,%ebx !0x8
	push___%ebx
	mov____0x8(%ebp),%ebx !0xc
	push___%ebx
	call32 %write
	add____$i8,%esp !0xc
	test___%eax,%eax
	mov____$i32,%eax %0x0
	leave
	ret


:fdputs
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %strlen
	add____$i8,%esp !0x4
	mov____%eax,0x8(%ebp) !0x-4
	mov____0x8(%ebp),%ebx !0x-4
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	mov____0x8(%ebp),%ebx !0xc
	push___%ebx
	call32 %write
	add____$i8,%esp !0xc
	test___%eax,%eax
	mov____$i32,%eax %0x0
	leave
	ret


:fdungetc
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%eax !0x8
	mov____$i32,%ebx %0x-1
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %_fdungetc_1_break
	mov____0x8(%ebp),%eax !0x8
	leave
	ret
	jmp32  %_fdungetc_1_break
:_fdungetc_1_break
	mov____0x32,%eax &_ungetc_pos
	mov____$i32,%ebx %0x-1
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %_fdungetc_11_else
	mov____0x8(%ebp),%eax !0xc
	mov____%eax,0x32 &_ungetc_fd
	test___%eax,%eax
	jmp32  %_fdungetc_11_break
:_fdungetc_11_else
	mov____0x32,%eax &_ungetc_fd
	mov____0x8(%ebp),%ebx !0xc
	sub____%ebx,%eax
	test___%eax,%eax
	lahf
	xor____$i8,%ah !0x40
	sahf
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %_fdungetc_22_break
	push___$i32 &_string_lib/x86-mes/libc.S_4
	call32 %eputs
	add____$i8,%esp !0x4
	test___%eax,%eax
	push___%eax
	push___%eax
	mov____%ebx,%eax
	mov____0x32,%ebx &_ungetc_fd
	push___%ebx
	mov____%eax,%ebx
	pop____%eax
	xchg___%eax,(%esp)
	call32 %itoa
	add____$i8,%esp !0x4
	mov____%eax,%ebx
	pop____%eax
	push___%ebx
	call32 %eputs
	add____$i8,%esp !0x4
	test___%eax,%eax
	push___$i32 &_string_lib/x86-mes/libc.S_5
	call32 %eputs
	add____$i8,%esp !0x4
	test___%eax,%eax
	push___%eax
	push___%eax
	mov____%ebx,%eax
	mov____0x8(%ebp),%ebx !0xc
	push___%ebx
	mov____%eax,%ebx
	pop____%eax
	xchg___%eax,(%esp)
	call32 %itoa
	add____$i8,%esp !0x4
	mov____%eax,%ebx
	pop____%eax
	push___%ebx
	call32 %eputs
	add____$i8,%esp !0x4
	test___%eax,%eax
	push___$i32 &_string_lib/x86-mes/libc.S_0
	call32 %eputs
	add____$i8,%esp !0x4
	test___%eax,%eax
	mov____$i32,%ebx %0x1
	push___%ebx
	call32 %exit
	add____$i8,%esp !0x4
	test___%eax,%eax
	jmp32  %_fdungetc_22_break
:_fdungetc_22_break
:_fdungetc_11_break
	mov____0x32,%eax &_ungetc_pos
	mov____$i32,%ebx &_ungetc_pos
	add____$i8,(%ebx) !0x1
	test___%eax,%eax
	mov____0x8(%ebp),%eax !0x8
	mov____0x32,%ebx &_ungetc_pos
	push___%eax
	mov____%ebx,%eax
	mov____$i32,%ebx &_ungetc_buf
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	mov____%al,(%ebx)
	test___%eax,%eax
	mov____0x8(%ebp),%eax !0x8
	leave
	ret


:_fdungetc_p
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x32,%eax &_ungetc_pos
	mov____$i32,%ebx %0x-1
	sub____%ebx,%eax
	setg___%al
	movzbl_%al,%eax
	test___%eax,%eax
	leave
	ret


:eputc
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____$i32,%ebx %0x2
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %fdputc
	add____$i8,%esp !0x8
	leave
	ret


:__sys_call
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%eax !8
	int____$0x80
	leave
	ret


:__sys_call1
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%eax !8
	mov____0x8(%ebp),%ebx !12
	int____$0x80
	leave
	ret


:__sys_call2
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%eax !8
	mov____0x8(%ebp),%ebx !12
	mov____0x8(%ebp),%ecx !16
	int____$0x80
	leave
	ret


:__sys_call3
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%eax !8
	mov____0x8(%ebp),%ebx !12
	mov____0x8(%ebp),%ecx !16
	mov____0x8(%ebp),%edx !20
	int____$0x80
	leave
	ret


:__sys_call4
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%eax !8
	mov____0x8(%ebp),%ebx !12
	mov____0x8(%ebp),%ecx !16
	mov____0x8(%ebp),%edx !20
	mov____0x8(%ebp),%esi !24
	int____$0x80
	leave
	ret


:_sys_call
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %__sys_call
	add____$i8,%esp !0x4
	mov____%eax,0x8(%ebp) !0x-4
	mov____0x8(%ebp),%eax !0x-4
	mov____$i32,%ebx %0x0
	sub____%ebx,%eax
	setl___%al
	movzbl_%al,%eax
	test___%eax,%eax
					# jmp test LABEL
	je32   %__sys_call_5_else
	mov____0x8(%ebp),%eax !0x-4
	mov____$i32,%ebx %0x0
	xchg___%eax,%ebx
	sub____%ebx,%eax
	mov____%eax,0x32 &errno
	test___%eax,%eax
	mov____$i32,%eax %0x-1
	mov____%eax,0x8(%ebp) !0x-4
	test___%eax,%eax
	jmp32  %__sys_call_5_break
:__sys_call_5_else
	mov____$i32,%eax %0x0
	mov____%eax,0x32 &errno
	test___%eax,%eax
:__sys_call_5_break
	mov____0x8(%ebp),%eax !0x-4
	leave
	ret


:_sys_call1
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%ebx !0xc
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %__sys_call1
	add____$i8,%esp !0x8
	mov____%eax,0x8(%ebp) !0x-4
	mov____0x8(%ebp),%eax !0x-4
	mov____$i32,%ebx %0x0
	sub____%ebx,%eax
	setl___%al
	movzbl_%al,%eax
	test___%eax,%eax
					# jmp test LABEL
	je32   %__sys_call1_7_else
	mov____0x8(%ebp),%eax !0x-4
	mov____$i32,%ebx %0x0
	xchg___%eax,%ebx
	sub____%ebx,%eax
	mov____%eax,0x32 &errno
	test___%eax,%eax
	mov____$i32,%eax %0x-1
	mov____%eax,0x8(%ebp) !0x-4
	test___%eax,%eax
	jmp32  %__sys_call1_7_break
:__sys_call1_7_else
	mov____$i32,%eax %0x0
	mov____%eax,0x32 &errno
	test___%eax,%eax
:__sys_call1_7_break
	mov____0x8(%ebp),%eax !0x-4
	leave
	ret


:_sys_call2
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%ebx !0x10
	push___%ebx
	mov____0x8(%ebp),%ebx !0xc
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %__sys_call2
	add____$i8,%esp !0xc
	mov____%eax,0x8(%ebp) !0x-4
	mov____0x8(%ebp),%eax !0x-4
	mov____$i32,%ebx %0x0
	sub____%ebx,%eax
	setl___%al
	movzbl_%al,%eax
	test___%eax,%eax
					# jmp test LABEL
	je32   %__sys_call2_9_else
	mov____0x8(%ebp),%eax !0x-4
	mov____$i32,%ebx %0x0
	xchg___%eax,%ebx
	sub____%ebx,%eax
	mov____%eax,0x32 &errno
	test___%eax,%eax
	mov____$i32,%eax %0x-1
	mov____%eax,0x8(%ebp) !0x-4
	test___%eax,%eax
	jmp32  %__sys_call2_9_break
:__sys_call2_9_else
	mov____$i32,%eax %0x0
	mov____%eax,0x32 &errno
	test___%eax,%eax
:__sys_call2_9_break
	mov____0x8(%ebp),%eax !0x-4
	leave
	ret


:_sys_call3
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%ebx !0x14
	push___%ebx
	mov____0x8(%ebp),%ebx !0x10
	push___%ebx
	mov____0x8(%ebp),%ebx !0xc
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %__sys_call3
	add____$i8,%esp !0x10
	mov____%eax,0x8(%ebp) !0x-4
	mov____0x8(%ebp),%eax !0x-4
	mov____$i32,%ebx %0x0
	sub____%ebx,%eax
	setl___%al
	movzbl_%al,%eax
	test___%eax,%eax
					# jmp test LABEL
	je32   %__sys_call3_11_else
	mov____0x8(%ebp),%eax !0x-4
	mov____$i32,%ebx %0x0
	xchg___%eax,%ebx
	sub____%ebx,%eax
	mov____%eax,0x32 &errno
	test___%eax,%eax
	mov____$i32,%eax %0x-1
	mov____%eax,0x8(%ebp) !0x-4
	test___%eax,%eax
	jmp32  %__sys_call3_11_break
:__sys_call3_11_else
	mov____$i32,%eax %0x0
	mov____%eax,0x32 &errno
	test___%eax,%eax
:__sys_call3_11_break
	mov____0x8(%ebp),%eax !0x-4
	leave
	ret


:_sys_call4
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%ebx !0x18
	push___%ebx
	mov____0x8(%ebp),%ebx !0x14
	push___%ebx
	mov____0x8(%ebp),%ebx !0x10
	push___%ebx
	mov____0x8(%ebp),%ebx !0xc
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %__sys_call4
	add____$i8,%esp !0x14
	mov____%eax,0x8(%ebp) !0x-4
	mov____0x8(%ebp),%eax !0x-4
	mov____$i32,%ebx %0x0
	sub____%ebx,%eax
	setl___%al
	movzbl_%al,%eax
	test___%eax,%eax
					# jmp test LABEL
	je32   %__sys_call4_13_else
	mov____0x8(%ebp),%eax !0x-4
	mov____$i32,%ebx %0x0
	xchg___%eax,%ebx
	sub____%ebx,%eax
	mov____%eax,0x32 &errno
	test___%eax,%eax
	mov____$i32,%eax %0x-1
	mov____%eax,0x8(%ebp) !0x-4
	test___%eax,%eax
	jmp32  %__sys_call4_13_break
:__sys_call4_13_else
	mov____$i32,%eax %0x0
	mov____%eax,0x32 &errno
	test___%eax,%eax
:__sys_call4_13_break
	mov____0x8(%ebp),%eax !0x-4
	leave
	ret


:fork
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____$i32,%ebx %0x2
	push___%ebx
	call32 %_sys_call
	add____$i8,%esp !0x4
	leave
	ret


:read
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%ebx !0x10
	push___%ebx
	mov____0x8(%ebp),%ebx !0xc
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	mov____$i32,%ebx %0x3
	push___%ebx
	call32 %_sys_call3
	add____$i8,%esp !0x10
	mov____%eax,0x8(%ebp) !0x-4
	call32 %__mes_debug
	add____$i8,%esp !0x0
	mov____$i32,%ebx %0x3
	sub____%ebx,%eax
	setg___%al
	movzbl_%al,%eax
	test___%eax,%eax
					# jmp test LABEL
	je32   %_read_11_break
	mov____0x8(%ebp),%eax !0x-4
	mov____$i32,%ebx %0x1
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %_read_18_else
	push___$i32 &_string_lib/x86-mes/libc.S_6
	call32 %eputs
	add____$i8,%esp !0x4
	test___%eax,%eax
	push___%eax
	push___%eax
	mov____%ebx,%eax
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	mov____%eax,%ebx
	pop____%eax
	xchg___%eax,(%esp)
	call32 %itoa
	add____$i8,%esp !0x4
	mov____%eax,%ebx
	pop____%eax
	push___%ebx
	call32 %eputs
	add____$i8,%esp !0x4
	test___%eax,%eax
	push___$i32 &_string_lib/x86-mes/libc.S_7
	call32 %eputs
	add____$i8,%esp !0x4
	test___%eax,%eax
	mov____0x8(%ebp),%ebx !0xc
	movzbl_(%ebx),%ebx
	movsbl_%bl,%ebx
	push___%ebx
	call32 %eputc
	add____$i8,%esp !0x4
	test___%eax,%eax
	push___$i32 &_string_lib/x86-mes/libc.S_0
	call32 %eputs
	add____$i8,%esp !0x4
	test___%eax,%eax
	jmp32  %_read_18_break
:_read_18_else
	push___$i32 &_string_lib/x86-mes/libc.S_6
	call32 %eputs
	add____$i8,%esp !0x4
	test___%eax,%eax
	push___%eax
	push___%eax
	mov____%ebx,%eax
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	mov____%eax,%ebx
	pop____%eax
	xchg___%eax,(%esp)
	call32 %itoa
	add____$i8,%esp !0x4
	mov____%eax,%ebx
	pop____%eax
	push___%ebx
	call32 %eputs
	add____$i8,%esp !0x4
	test___%eax,%eax
	push___$i32 &_string_lib/x86-mes/libc.S_8
	call32 %eputs
	add____$i8,%esp !0x4
	test___%eax,%eax
	push___%eax
	push___%eax
	mov____%ebx,%eax
	mov____0x8(%ebp),%ebx !0x-4
	push___%ebx
	mov____%eax,%ebx
	pop____%eax
	xchg___%eax,(%esp)
	call32 %itoa
	add____$i8,%esp !0x4
	mov____%eax,%ebx
	pop____%eax
	push___%ebx
	call32 %eputs
	add____$i8,%esp !0x4
	test___%eax,%eax
	push___$i32 &_string_lib/x86-mes/libc.S_0
	call32 %eputs
	add____$i8,%esp !0x4
	test___%eax,%eax
:_read_18_break
	jmp32  %_read_11_break
:_read_11_break
	mov____0x8(%ebp),%eax !0x-4
	leave
	ret


:_open3
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%eax !0xc
	test___%eax,%eax
	sete___%al
	movzbl_%al,%eax
	test___%eax,%eax
					# jmp test LABEL
	je32   %__open3_1_break
	mov____$i32,%eax %0x-1
	mov____%eax,0x32 &_ungetc_pos
	test___%eax,%eax
	mov____$i32,%eax %0x-1
	mov____%eax,0x32 &_ungetc_fd
	test___%eax,%eax
	jmp32  %__open3_1_break
:__open3_1_break
	mov____0x8(%ebp),%ebx !0x10
	push___%ebx
	mov____0x8(%ebp),%ebx !0xc
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	mov____$i32,%ebx %0x5
	push___%ebx
	call32 %_sys_call3
	add____$i8,%esp !0x10
	mov____%eax,0x8(%ebp) !0x-4
	mov____0x8(%ebp),%eax !0x-4
	leave
	ret


:_open2
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____$i32,%eax %0x1ff
	mov____%eax,0x8(%ebp) !0x-4
	mov____0x8(%ebp),%ebx !0x-4
	push___%ebx
	mov____0x8(%ebp),%ebx !0xc
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %_open3
	add____$i8,%esp !0xc
	leave
	ret


:open
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____%ebp,%eax
	add____$i8,%eax !0xc
	add____$i8,%eax !0x4
	mov____%eax,0x8(%ebp) !0x-4
	movzbl_%al,%eax
	test___%eax,%eax
	mov____$i32,%eax %0x-1
	shl____$i8,%eax !0x2
	mov____0x8(%ebp),%ebx !0x-4
	push___%eax
	mov____%ebx,%eax
	mov____$i32,%ebx %0x4
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	mov____%ebx,0x8(%ebp) !0x-4
	add____%ebx,%eax
	mov____(%eax),%eax
	mov____%eax,0x8(%ebp) !0x-8
	mov____0x8(%ebp),%ebx !0x-8
	push___%ebx
	mov____0x8(%ebp),%ebx !0xc
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %_open3
	add____$i8,%esp !0xc
	mov____%eax,0x8(%ebp) !0x-c
	mov____$i32,%eax %0x0
	mov____%eax,0x8(%ebp) !0x-4
	movzbl_%al,%eax
	test___%eax,%eax
	mov____0x8(%ebp),%eax !0x-c
	leave
	ret


:waitpid
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%ebx !0x10
	push___%ebx
	mov____0x8(%ebp),%ebx !0xc
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	mov____$i32,%ebx %0x7
	push___%ebx
	call32 %_sys_call3
	add____$i8,%esp !0x10
	leave
	ret


:execve
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%ebx !0x10
	push___%ebx
	mov____0x8(%ebp),%ebx !0xc
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	mov____$i32,%ebx %0xb
	push___%ebx
	call32 %_sys_call3
	add____$i8,%esp !0x10
	leave
	ret


:chmod
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%ebx !0xc
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	mov____$i32,%ebx %0xf
	push___%ebx
	call32 %_sys_call2
	add____$i8,%esp !0xc
	leave
	ret


:access
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%ebx !0xc
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	mov____$i32,%ebx %0x21
	push___%ebx
	call32 %_sys_call2
	add____$i8,%esp !0xc
	leave
	ret


:brk
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	mov____$i32,%ebx %0x2d
	push___%ebx
	call32 %_sys_call1
	add____$i8,%esp !0x8
	leave
	ret


:ioctl
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____%ebp,%eax
	add____$i8,%eax !0xc
	add____$i8,%eax !0x4
	mov____%eax,0x8(%ebp) !0x-4
	movzbl_%al,%eax
	test___%eax,%eax
	mov____$i32,%eax %0x-1
	shl____$i8,%eax !0x2
	mov____0x8(%ebp),%ebx !0x-4
	push___%eax
	mov____%ebx,%eax
	mov____$i32,%ebx %0x4
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	mov____%ebx,0x8(%ebp) !0x-4
	add____%ebx,%eax
	mov____(%eax),%eax
	mov____%eax,0x8(%ebp) !0x-8
	mov____0x8(%ebp),%ebx !0x-8
	push___%ebx
	mov____0x8(%ebp),%ebx !0xc
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	mov____$i32,%ebx %0x36
	push___%ebx
	call32 %_sys_call3
	add____$i8,%esp !0x10
	mov____%eax,0x8(%ebp) !0x-c
	mov____$i32,%eax %0x0
	mov____%eax,0x8(%ebp) !0x-4
	movzbl_%al,%eax
	test___%eax,%eax
	mov____0x8(%ebp),%eax !0x-c
	leave
	ret


:fsync
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	mov____$i32,%ebx %0x76
	push___%ebx
	call32 %_sys_call1
	add____$i8,%esp !0x8
	leave
	ret


:__mes_debug
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x32,%eax &__mes_debug-__mes_debug
	mov____$i32,%ebx %0x-1
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %___mes_debug_1_break
	push___$i32 &_string_lib/x86-mes/libc.S_9
	call32 %getenv
	add____$i8,%esp !0x4
	mov____%eax,0x8(%ebp) !0x-4
	mov____0x8(%ebp),%eax !0x-4
					# jmp test LABEL
	test___%eax,%eax
	je32   %___mes_debug_10_else
	mov____0x8(%ebp),%ebx !0x-4
	push___%ebx
	call32 %atoi
	add____$i8,%esp !0x4
	mov____$i32,%ebx %0x1
	sub____%ebx,%eax
	setg___%al
	movzbl_%al,%eax
	test___%eax,%eax
					# jmp test LABEL
	je32   %___mes_debug_14_else
	mov____0x8(%ebp),%ebx !0x-4
	push___%ebx
	call32 %atoi
	add____$i8,%esp !0x4
	jmp32  %___mes_debug_14_break
:___mes_debug_14_else
	mov____$i32,%eax %0x1
:___mes_debug_14_break
	jmp32  %___mes_debug_10_break
:___mes_debug_10_else
	mov____$i32,%eax %0x0
:___mes_debug_10_break
	mov____%eax,0x32 &__mes_debug-__mes_debug
	test___%eax,%eax
	jmp32  %___mes_debug_1_break
:___mes_debug_1_break
	mov____0x32,%eax &__mes_debug-__mes_debug
	leave
	ret


:memcpy
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%eax !0x8
	mov____%eax,0x8(%ebp) !0x-4
	mov____0x8(%ebp),%eax !0xc
	mov____%eax,0x8(%ebp) !0x-8
	jmp32  %_memcpy_5_continue
:_memcpy_5_loop
	mov____0x8(%ebp),%eax !0x-8
	mov____%ebp,%ebx
	add____$i8,%ebx !0x-8
	add____$i8,(%ebx) !0x1
	movzbl_(%eax),%eax
	movsbl_%al,%eax
	mov____0x8(%ebp),%ebx !0x-4
	mov____%al,(%ebx)
	add____$i8,0x8(%ebp) !0x-4 !0x1
	test___%eax,%eax
:_memcpy_5_continue
	mov____0x8(%ebp),%eax !0x10
	mov____%ebp,%ebx
	add____$i8,%ebx !0x10
	add____$i8,(%ebx) !0x-1
					# jmp test LABEL
	test___%eax,%eax
	je32   %_memcpy_5_break
	jmp32  %_memcpy_5_loop
:_memcpy_5_break
	mov____0x8(%ebp),%eax !0x8
	leave
	ret


:malloc
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x32,%eax &__brk
	test___%eax,%eax
	sete___%al
	movzbl_%al,%eax
	test___%eax,%eax
					# jmp test LABEL
	je32   %_malloc_1_break
	mov____$i32,%ebx %0x0
	push___%ebx
	call32 %brk
	add____$i8,%esp !0x4
	mov____%eax,0x32 &__brk
	test___%eax,%eax
	jmp32  %_malloc_1_break
:_malloc_1_break
	mov____0x32,%ebx &__brk
	push___%eax
	mov____%ebx,%eax
	mov____0x8(%ebp),%ebx !0x8
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	push___%ebx
	call32 %brk
	add____$i8,%esp !0x4
	mov____$i32,%ebx %0x-1
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %_malloc_14_break
	mov____$i32,%eax %0x0
	leave
	ret
	jmp32  %_malloc_14_break
:_malloc_14_break
	mov____0x32,%eax &__brk
	mov____%eax,0x8(%ebp) !0x-4
	mov____0x8(%ebp),%eax !0x8
	mov____0x32,%ebx &__brk
	xchg___%eax,%ebx
	add____%ebx,%eax
	mov____%eax,0x32 &__brk
	test___%eax,%eax
	mov____0x8(%ebp),%eax !0x-4
	leave
	ret


:assert_fail
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	push___$i32 &_string_lib/x86-mes/libc.S_10
	call32 %eputs
	add____$i8,%esp !0x4
	test___%eax,%eax
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %eputs
	add____$i8,%esp !0x4
	test___%eax,%eax
	push___$i32 &_string_lib/x86-mes/libc.S_0
	call32 %eputs
	add____$i8,%esp !0x4
	test___%eax,%eax
	mov____0x8(%ebp),%eax !0x8
	mov____%eax,0x8(%ebp) !0x-4
	mov____$i32,%eax %0x0
	mov____%eax,0x8(%ebp) !0x-4
	test___%eax,%eax
	mov____$i32,%eax %0x0
	mov____0x8(%ebp),%ebx !0x-4
	mov____%al,(%ebx)
	test___%eax,%eax
	leave
	ret


:getchar
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x32,%ebx &g_stdin
	push___%ebx
	call32 %fdgetc
	add____$i8,%esp !0x4
	leave
	ret


:putchar
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____$i32,%ebx %0x1
	push___%ebx
	mov____%ebp,%ebx
	add____$i8,%ebx !0x8
	push___%ebx
	mov____$i32,%ebx %0x1
	push___%ebx
	call32 %write
	add____$i8,%esp !0xc
	test___%eax,%eax
	mov____$i32,%eax %0x0
	leave
	ret


:fputc
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%ebx !0xc
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %fdputc
	add____$i8,%esp !0x8
	leave
	ret


:fputs
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%ebx !0xc
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %fdputs
	add____$i8,%esp !0x8
	leave
	ret


:putc
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%ebx !0xc
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %fdputc
	add____$i8,%esp !0x8
	leave
	ret


:getc
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %fdgetc
	add____$i8,%esp !0x4
	leave
	ret


:fgetc
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %fdgetc
	add____$i8,%esp !0x4
	leave
	ret


:ungetc
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%ebx !0xc
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %fdungetc
	add____$i8,%esp !0x8
	leave
	ret


:strcmp
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	jmp32  %_strcmp_1_continue
:_strcmp_1_loop
	mov____0x8(%ebp),%eax !0x8
	mov____%ebp,%ebx
	add____$i8,%ebx !0x8
	add____$i8,(%ebx) !0x1
	test___%eax,%eax
	mov____0x8(%ebp),%eax !0xc
	mov____%ebp,%ebx
	add____$i8,%ebx !0xc
	add____$i8,(%ebx) !0x1
	test___%eax,%eax
:_strcmp_1_continue
	mov____0x8(%ebp),%eax !0x8
	movzbl_(%eax),%eax
	movsbl_%al,%eax
					# jmp test LABEL
	test___%eax,%eax
	test___%al,%al
	je32   %_strcmp_1_break
	mov____0x8(%ebp),%eax !0xc
	movzbl_(%eax),%eax
	movsbl_%al,%eax
					# jmp test LABEL
	test___%eax,%eax
	test___%al,%al
	je32   %_strcmp_1_break
	mov____0x8(%ebp),%eax !0x8
	movzbl_(%eax),%eax
	movsbl_%al,%eax
	mov____0x8(%ebp),%ebx !0xc
	movzbl_(%ebx),%ebx
	movsbl_%bl,%ebx
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %_strcmp_1_break
	jmp32  %_strcmp_1_loop
:_strcmp_1_break
	mov____0x8(%ebp),%eax !0x8
	movzbl_(%eax),%eax
	movsbl_%al,%eax
	mov____0x8(%ebp),%ebx !0xc
	movzbl_(%ebx),%ebx
	movsbl_%bl,%ebx
	sub____%ebx,%eax
	leave
	ret


:strcpy
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%eax !0x8
	mov____%eax,0x8(%ebp) !0x-4
	jmp32  %_strcpy_3_continue
:_strcpy_3_loop
	mov____0x8(%ebp),%eax !0xc
	mov____%ebp,%ebx
	add____$i8,%ebx !0xc
	add____$i8,(%ebx) !0x1
	movzbl_(%eax),%eax
	movsbl_%al,%eax
	mov____0x8(%ebp),%ebx !0x-4
	mov____%al,(%ebx)
	add____$i8,0x8(%ebp) !0x-4 !0x1
	test___%eax,%eax
:_strcpy_3_continue
	mov____0x8(%ebp),%eax !0xc
	movzbl_(%eax),%eax
	movsbl_%al,%eax
					# jmp test LABEL
	test___%eax,%eax
	test___%al,%al
	je32   %_strcpy_3_break
	jmp32  %_strcpy_3_loop
:_strcpy_3_break
	mov____$i32,%eax %0x0
	mov____0x8(%ebp),%ebx !0x-4
	mov____%al,(%ebx)
	test___%eax,%eax
	mov____0x8(%ebp),%eax !0x8
	leave
	ret


:strncmp
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%eax !0x10
	test___%eax,%eax
	sete___%al
	movzbl_%al,%eax
	test___%eax,%eax
					# jmp test LABEL
	je32   %_strncmp_1_break
	mov____$i32,%eax %0x0
	leave
	ret
	jmp32  %_strncmp_1_break
:_strncmp_1_break
	jmp32  %_strncmp_11_continue
:_strncmp_11_loop
	mov____0x8(%ebp),%eax !0x8
	mov____%ebp,%ebx
	add____$i8,%ebx !0x8
	add____$i8,(%ebx) !0x1
	test___%eax,%eax
	mov____0x8(%ebp),%eax !0xc
	mov____%ebp,%ebx
	add____$i8,%ebx !0xc
	add____$i8,(%ebx) !0x1
	test___%eax,%eax
:_strncmp_11_continue
	mov____0x8(%ebp),%eax !0x8
	movzbl_(%eax),%eax
	movsbl_%al,%eax
					# jmp test LABEL
	test___%eax,%eax
	test___%al,%al
	je32   %_strncmp_11_break
	mov____0x8(%ebp),%eax !0xc
	movzbl_(%eax),%eax
	movsbl_%al,%eax
					# jmp test LABEL
	test___%eax,%eax
	test___%al,%al
	je32   %_strncmp_11_break
	mov____0x8(%ebp),%eax !0x8
	movzbl_(%eax),%eax
	movsbl_%al,%eax
	mov____0x8(%ebp),%ebx !0xc
	movzbl_(%ebx),%ebx
	movsbl_%bl,%ebx
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %_strncmp_11_break
	mov____%ebp,%eax
	add____$i8,%eax !0x10
	add____$i8,(%eax) !0x-1
	mov____0x8(%ebp),%eax !0x10
					# jmp test LABEL
	test___%eax,%eax
	je32   %_strncmp_11_break
	jmp32  %_strncmp_11_loop
:_strncmp_11_break
	mov____0x8(%ebp),%eax !0x8
	movzbl_(%eax),%eax
	movsbl_%al,%eax
	mov____0x8(%ebp),%ebx !0xc
	movzbl_(%ebx),%ebx
	movsbl_%bl,%ebx
	sub____%ebx,%eax
	leave
	ret


:free
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	leave
	ret


:realloc
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%ebx !0xc
	push___%ebx
	call32 %malloc
	add____$i8,%esp !0x4
	mov____%eax,0x8(%ebp) !0x-4
	mov____0x8(%ebp),%eax !0x8
					# jmp test LABEL
	test___%eax,%eax
	je32   %_realloc_5_break
	mov____0x8(%ebp),%eax !0x-4
					# jmp test LABEL
	test___%eax,%eax
	je32   %_realloc_5_break
	mov____0x8(%ebp),%ebx !0xc
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	mov____0x8(%ebp),%ebx !0x-4
	push___%ebx
	call32 %memcpy
	add____$i8,%esp !0xc
	test___%eax,%eax
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %free
	add____$i8,%esp !0x4
	test___%eax,%eax
	jmp32  %_realloc_5_break
:_realloc_5_break
	mov____0x8(%ebp),%eax !0x-4
	leave
	ret


:getenv
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x32,%eax &environ
	mov____%eax,0x8(%ebp) !0x-4
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %strlen
	add____$i8,%esp !0x4
	mov____%eax,0x8(%ebp) !0x-8
	jmp32  %_getenv_7_continue
:_getenv_7_loop
	mov____0x8(%ebp),%ebx !0x-8
	push___%ebx
	mov____0x8(%ebp),%ebx !0x-4
	mov____(%ebx),%ebx
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %strncmp
	add____$i8,%esp !0xc
	test___%eax,%eax
	sete___%al
	movzbl_%al,%eax
	test___%eax,%eax
					# jmp test LABEL
	je32   %_getenv_9_break
	mov____0x8(%ebp),%eax !0x-4
	mov____(%eax),%eax
	mov____0x8(%ebp),%ebx !0x-8
	add____%ebx,%eax
	movzbl_(%eax),%eax
	movsbl_%al,%eax
	mov____$i32,%ebx %0x3d
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %_getenv_9_break
	mov____0x8(%ebp),%eax !0x-4
	mov____(%eax),%eax
	mov____0x8(%ebp),%ebx !0x-8
	add____%ebx,%eax
	add____$i8,%eax !0x1
	leave
	ret
	jmp32  %_getenv_9_break
:_getenv_9_break
	mov____0x8(%ebp),%eax !0x-4
	mov____%ebp,%ebx
	add____$i8,%ebx !0x-4
	add____$i8,(%ebx) !0x4
	test___%eax,%eax
:_getenv_7_continue
	mov____0x8(%ebp),%eax !0x-4
	mov____(%eax),%eax
					# jmp test LABEL
	test___%eax,%eax
	je32   %_getenv_7_break
	jmp32  %_getenv_7_loop
:_getenv_7_break
	mov____$i32,%eax %0x0
	leave
	ret


:setenv
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x32,%eax &environ
	mov____%eax,0x8(%ebp) !0x-4
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %strlen
	add____$i8,%esp !0x4
	mov____%eax,0x8(%ebp) !0x-8
	jmp32  %_setenv_7_continue
:_setenv_7_loop
	mov____0x8(%ebp),%ebx !0x-8
	push___%ebx
	mov____0x8(%ebp),%ebx !0x-4
	mov____(%ebx),%ebx
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %strncmp
	add____$i8,%esp !0xc
	test___%eax,%eax
	sete___%al
	movzbl_%al,%eax
	test___%eax,%eax
					# jmp test LABEL
	je32   %_setenv_9_break
	mov____0x8(%ebp),%eax !0x-4
	mov____(%eax),%eax
	mov____0x8(%ebp),%ebx !0x-8
	add____%ebx,%eax
	movzbl_(%eax),%eax
	movsbl_%al,%eax
	mov____$i32,%ebx %0x3d
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %_setenv_9_break
	jmp32  %_setenv_7_break
	jmp32  %_setenv_9_break
:_setenv_9_break
	mov____0x8(%ebp),%eax !0x-4
	mov____%ebp,%ebx
	add____$i8,%ebx !0x-4
	add____$i8,(%ebx) !0x4
	test___%eax,%eax
:_setenv_7_continue
	mov____0x8(%ebp),%eax !0x-4
	mov____(%eax),%eax
					# jmp test LABEL
	test___%eax,%eax
	je32   %_setenv_7_break
	jmp32  %_setenv_7_loop
:_setenv_7_break
	mov____0x8(%ebp),%ebx !0x-8
	push___%eax
	mov____%ebx,%eax
	push___%eax
	push___%eax
	mov____%ebx,%eax
	mov____0x8(%ebp),%ebx !0xc
	push___%ebx
	mov____%eax,%ebx
	pop____%eax
	xchg___%eax,(%esp)
	call32 %strlen
	add____$i8,%esp !0x4
	mov____%eax,%ebx
	pop____%eax
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	add____$i8,%ebx !0x2
	push___%ebx
	call32 %malloc
	add____$i8,%esp !0x4
	mov____%eax,0x8(%ebp) !0x-c
	mov____0x8(%ebp),%eax !0x-4
	mov____(%eax),%eax
	mov____$i32,%ebx %0x0
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
	mov____%eax,0x8(%ebp) !0x-10
	mov____0x8(%ebp),%eax !0x-c
	mov____0x8(%ebp),%ebx !0x-4
	mov____%eax,(%ebx)
	test___%eax,%eax
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	mov____0x8(%ebp),%ebx !0x-c
	push___%ebx
	call32 %strcpy
	add____$i8,%esp !0x8
	test___%eax,%eax
	push___$i32 &_string_lib/x86-mes/libc.S_11
	mov____0x8(%ebp),%ebx !0x-c
	push___%eax
	mov____%ebx,%eax
	mov____0x8(%ebp),%ebx !0x-8
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	push___%ebx
	call32 %strcpy
	add____$i8,%esp !0x8
	test___%eax,%eax
	mov____0x8(%ebp),%ebx !0xc
	push___%ebx
	mov____0x8(%ebp),%ebx !0x-c
	push___%eax
	mov____%ebx,%eax
	mov____0x8(%ebp),%ebx !0x-8
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	add____$i8,%ebx !0x1
	push___%ebx
	call32 %strcpy
	add____$i8,%esp !0x8
	test___%eax,%eax
	mov____$i32,%eax %0x0
	mov____0x8(%ebp),%ebx !0x-c
	push___%eax
	mov____%ebx,%eax
	mov____0x8(%ebp),%ebx !0x-8
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	push___%eax
	mov____%ebx,%eax
	push___%eax
	push___%eax
	mov____%ebx,%eax
	mov____0x8(%ebp),%ebx !0xc
	push___%ebx
	mov____%eax,%ebx
	pop____%eax
	xchg___%eax,(%esp)
	call32 %strlen
	add____$i8,%esp !0x4
	mov____%eax,%ebx
	pop____%eax
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	add____$i8,%ebx !0x2
	mov____%al,(%ebx)
	test___%eax,%eax
	mov____0x8(%ebp),%eax !0x-10
					# jmp test LABEL
	test___%eax,%eax
	je32   %_setenv_122_break
	mov____$i32,%eax %0x0
	mov____%ebp,%ebx
	add____$i8,%ebx !0x-4
	add____$i8,(%ebx) !0x4
	mov____0x8(%ebp),%ebx !0x-4
	mov____%eax,(%ebx)
	test___%eax,%eax
	jmp32  %_setenv_122_break
:_setenv_122_break
	mov____$i32,%eax %0x0
	leave
	ret


:isatty
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____$i32,%ebx %0x0
	push___%ebx
	mov____$i32,%ebx %0x5401
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %ioctl
	add____$i8,%esp !0xc
	mov____$i32,%ebx %0xf0
	and____%ebx,%eax
	leave
	ret


:wait
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____$i32,%ebx %0x0
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	mov____$i32,%ebx %0x-1
	push___%ebx
	call32 %waitpid
	add____$i8,%esp !0xc
	leave
	ret


:execv
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x32,%ebx &environ
	push___%ebx
	mov____0x8(%ebp),%ebx !0xc
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %execve
	add____$i8,%esp !0xc
	leave
	ret

:__mes_debug-__mes_debug
!0x-1 !0x-1 !0x-1 !0x-1

:ntoab-itoa_buf
!0x00 !0x00 !0x00 !0x00 !0x00 !0x00 !0x00 !0x00 !0x00 !0x00 !0x00 !0x00 !0x00 !0x00 !0x00 !0x00 !0x00 !0x00 !0x00 !0x00

:comparison_fn_t
!0x00 !0x00 !0x00 !0x00

:errno
!0x00 !0x00 !0x00 !0x00

:environ
!0x00 !0x00 !0x00 !0x00

:g_stdin
!0x00 !0x00 !0x00 !0x00

:g_stdout
!0x00 !0x00 !0x00 !0x00

:_string_lib/x86-mes/libc.S_0
"
"

:errno
!0x00 !0x00 !0x00 !0x00

:__call_at_exit
!0x00 !0x00 !0x00 !0x00

:_ungetc_pos
!0x-1 !0x-1 !0x-1 !0x-1

:_ungetc_fd
!0x-1 !0x-1 !0x-1 !0x-1

:_ungetc_buf
!0x00 !0x00 !0x00 !0x00 !0x00 !0x00 !0x00 !0x00 !0x00 !0x00

:_string_lib/x86-mes/libc.S_1
" ***MES C LIB*** fdgetc ungetc conflict unget-fd="

:_string_lib/x86-mes/libc.S_2
", fdgetc-fd="

:_string_lib/x86-mes/libc.S_3
", c="

:_string_lib/x86-mes/libc.S_4
" ***MES LIB C*** fdungetc ungetc conflict unget-fd="

:_string_lib/x86-mes/libc.S_5
", fdungetc-fd="

:_string_lib/x86-mes/libc.S_6
"read fd="

:_string_lib/x86-mes/libc.S_7
" c="

:_string_lib/x86-mes/libc.S_8
" bytes="

:g_stdin
!0x00 !0x00 !0x00 !0x00

:_string_lib/x86-mes/libc.S_9
"MES_DEBUG"

:__brk
!0x00 !0x00 !0x00 !0x00

:_string_lib/x86-mes/libc.S_10
"assert fail: "

:_string_lib/x86-mes/libc.S_11
"="
